##### basic_socket_acceptor::basic_socket_acceptor (2 of 6 overloads)

Construct an open acceptor.

    basic_socket_acceptor(
        asio::io_context & io_context,
        const protocol_type & protocol);

This constructor creates an acceptor and automatically opens it.

###### Parameters

io_context

  The `io_context` object that the acceptor will use to dispatch handlers for any asynchronous operations performed on the acceptor.

protocol

  An object specifying protocol parameters to be used.

###### Exceptions

asio::system_error

  Thrown on failure.